###########################################################################
#
#                    AService Config File
#
# When the AService daemon reads this config file, it looks for the 
#   section "AService"
#
# The format of each non-comment line is:
#
#   SECTION:KEY VALUE*
#
# Some parameters are listed with their default values, to reconfigure, 
#   it may be necessary to uncomment a config line
#
###########################################################################

#
# A space separated list of AServices of the form:
#
#   DLLNAME [ "|" INSTANCENAME ] "@" HOSTPORT [ "|" HOSTPORT ] ... 
#
# DLLNAME should be an absolute pathname, or be in LD_LIBRARY_PATH,
#   but need not include the platform-specific DLL file extension 
#   (.so, .dll, etc.)
#
# HOSTPORT determines the interface address and PORT to bind to, and can be:
#   HOSTNAME ":" PORT, IPADDR ":" PORT, or just the PORT.  In the former case,
#   the MMP must lookup the hostname in DNS on startup, in the latter case
#   the MMP will listen on all interfaces.
#
# This is the most important part of AService config.  This entry lists the 
#   ports to which the AService daemon should bind, the AService DLL to load
#   for each port, and the instance name of each AService DLL (which is 
#   arbitrary, and may be used by each AService DLL differently).  If 
#   no instance name is given, the AService daemon passes NULL to the 
#   AService DLL during Init.
#
# Sorry, it's all on one line...
#   
# If no services are listed, or those listed cannot be loaded and
#    initialized, the AService daemon exits	
#
default:ServiceList  <msg.RootPath>/lib/ImapProxyAService@143|993 <msg.RootPath>/lib/PopProxyAService@110

#
# where default logging goes, at what level
#
default:LogDir       <msg.RootPath>/data/log
#default:LogLevel     1

#
# number of worker threads allocated for the AService daemon.  Optimally, 
#  it should be equal to the number of processors on the machine, unless
#  an AService DLL does synchronous handling of connections (Imap and Pop
#  Proxy do not).	
#
#default:NumThreads   1

#
# AService user/group
# NOTE: These options only apply to Unix and are ignored under Windows
#
default:BeTheUser    <local.serveruid>
default:BeTheGroup   <local.servergid>


